Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.conn
Class DefaultClientAsyncConnection

    java.lang.Object
      org.apache.http.impl.nio.NHttpConnectionBase
          org.apache.http.impl.nio.DefaultNHttpClientConnection
              org.apache.http.impl.nio.conn.DefaultClientAsyncConnection

All Implemented Interfaces:
  Closeable, org.apache.http.HttpConnection, org.apache.http.HttpInetConnection, ClientAsyncConnection, org.apache.http.nio.IOControl, org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.NHttpClientIOTarget, org.apache.http.nio.NHttpConnection, org.apache.http.nio.reactor.SessionBufferStatus, org.apache.http.nio.reactor.SocketAccessor

Deprecated.

    @Deprecated
    public class DefaultClientAsyncConnection

extends org.apache.http.impl.nio.DefaultNHttpClientConnection
implements ClientAsyncConnection

Field Summary

Fields inherited from class org.apache.http.impl.nio.DefaultNHttpClientConnection
`requestWriter, responseParser`

Fields inherited from class org.apache.http.impl.nio.NHttpConnectionBase
`connMetrics, contentDecoder, contentEncoder, context, hasBufferedInput, hasBufferedOutput, inbuf, incomingContentStrategy, inTransportMetrics, outbuf, outgoingContentStrategy, outTransportMetrics, remote, request, response, session, status`

Fields inherited from interface org.apache.http.nio.NHttpConnection
`ACTIVE, CLOSED, CLOSING`

Constructor Summary
`DefaultClientAsyncConnection(String id, org.apache.http.nio.reactor.IOSession ioSession, org.apache.http.HttpResponseFactory responseFactory, org.apache.http.nio.util.ByteBufferAllocator allocator, org.apache.http.params.HttpParams params)` Deprecated.

Method Summary
`String` | `getId()` Deprecated.
`org.apache.http.nio.reactor.IOSession` | `getIOSession()` Deprecated.
`protected void` | `onRequestSubmitted(org.apache.http.HttpRequest request)` Deprecated.
`protected void` | `onResponseReceived(org.apache.http.HttpResponse response)` Deprecated.
`String` | `toString()` Deprecated.
`void` | `upgrade(org.apache.http.nio.reactor.IOSession ioSession)` Deprecated.

Methods inherited from class org.apache.http.impl.nio.DefaultNHttpClientConnection
`consumeInput, consumeInput, createRequestWriter, createResponseParser, isRequestSubmitted, produceOutput, produceOutput, resetInput, resetOutput, submitRequest`

Methods inherited from class org.apache.http.impl.nio.NHttpConnectionBase
`assertNotClosed, bind, close, createConnectionMetrics, createContentDecoder, createContentEncoder, createIncomingContentStrategy, createOutgoingContentStrategy, createTransportMetrics, getContext, getHttpRequest, getHttpResponse, getLocalAddress, getLocalPort, getMetrics, getRemoteAddress, getRemotePort, getSocket, getSocketTimeout, getStatus, hasBufferedInput, hasBufferedOutput, isOpen, isStale, prepareDecoder, prepareEncoder, requestInput, requestOutput, setSocketTimeout, shutdown, suspendInput, suspendOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.http.nio.NHttpClientConnection
`isRequestSubmitted, resetInput, resetOutput, submitRequest`

Methods inherited from interface org.apache.http.nio.NHttpConnection
`getContext, getHttpRequest, getHttpResponse, getStatus`

Methods inherited from interface org.apache.http.HttpConnection
`close, getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout, shutdown`

Methods inherited from interface org.apache.http.nio.IOControl
`requestInput, requestOutput, shutdown, suspendInput, suspendOutput`

Methods inherited from interface org.apache.http.HttpInetConnection
`getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort`

Constructor Detail

### DefaultClientAsyncConnection

    public DefaultClientAsyncConnection(String id,
                                        org.apache.http.nio.reactor.IOSession ioSession,
                                        org.apache.http.HttpResponseFactory responseFactory,
                                        org.apache.http.nio.util.ByteBufferAllocator allocator,
                                        org.apache.http.params.HttpParams params)

  Deprecated.

Method Detail

### upgrade

    public void upgrade(org.apache.http.nio.reactor.IOSession ioSession)

  Deprecated.
  Specified by:
    `upgrade` in interface `ClientAsyncConnection`

### getIOSession

    public org.apache.http.nio.reactor.IOSession getIOSession()

  Deprecated.
  Specified by:
    `getIOSession` in interface `ClientAsyncConnection`

### getId

    public String getId()

  Deprecated.

### onResponseReceived

    protected void onResponseReceived(org.apache.http.HttpResponse response)

  Deprecated.
  Overrides:
    `onResponseReceived` in class `org.apache.http.impl.nio.DefaultNHttpClientConnection`

### onRequestSubmitted

    protected void onRequestSubmitted(org.apache.http.HttpRequest request)

  Deprecated.
  Overrides:
    `onRequestSubmitted` in class `org.apache.http.impl.nio.DefaultNHttpClientConnection`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `org.apache.http.impl.nio.NHttpConnectionBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.